org.eclipse.graphiti.ui.platform

## Class GraphitiShapeEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.graphiti.ui.platform.GraphitiShapeEditPart

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants, IFeatureProviderHolder

Direct Known Subclasses:
  ShapeEditPart

    public abstract class GraphitiShapeEditPart
    extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
    implements IFeatureProviderHolder

This is an abstract marker class that indicates that an `EditPart` is a Graphiti edit part for a shape. It can e.g. be used to register an `IAdapterFactory` against Graphiti edit parts. This is useful e.g. for providing standard property sheets (or org.eclipse.ui.views.properties.tabbed.AdvancedPropertySections inside tabbed property sheets) for a selection in the Graphiti `IDiagramContainerUI`; simply use this class as for the adaptableType attribute of the adapter factory definition in plugin.xml.

Introduced as part of the fix for Bugzilla 341898.

Since:
  0.9

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`GraphitiShapeEditPart()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract PictogramElement` `getPictogramElement()` Returns the `PictogramElement` (the model object) that this `EditPart` represents.

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`activate, addNodeListener, addNotify, deactivate, getAdapter, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, isSelectable, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Constructor Detail

#### GraphitiShapeEditPart

    public GraphitiShapeEditPart()

### Method Detail

#### getPictogramElement

    public abstract PictogramElement getPictogramElement()

Returns the `PictogramElement` (the model object) that this `EditPart` represents.

Returns:
  the `PictogramElement`